from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XParser(XInterface, Protocol):
    def setDocumentHandler(self, xHandler: XDocumentHandler) -> None: ...
    def setErrorHandler(self, xHandler: XErrorHandler) -> None: ...
    def setDTDHandler(self, xHandler: XDTDHandler) -> None: ...
    def setEntityResolver(self, xResolver: XEntityResolver) -> None: ...
    def setLocale(self, locale: Locale) -> None: ...
